<?php

namespace App\Controller;

use App\Data\TacticInfo;
use App\Http\HttpCodes;
use App\Http\HttpResponse;
use App\Http\JsonHttpResponse;
use App\Http\ViewHttpResponse;
use App\Model\TacticModel;

class VisualizerController {
    private TacticModel $tacticModel;

    /**
     * @param TacticModel $tacticModel
     */
    public function __construct(TacticModel $tacticModel)
    {
        $this->tacticModel = $tacticModel;
    }

    public function openVisualizer(int $id): HttpResponse {
        $tactic = $this->tacticModel->get($id);

        if ($tactic == null) {
            return new JsonHttpResponse("la tactique " . $id . " n'existe pas", HttpCodes::NOT_FOUND);
        }

        return ViewHttpResponse::react("views/Visualizer.tsx", ["name" => $tactic->getName()]);

    }

}